package controller

import (
	"campaign-pool-be/app/module/campaign_files/service"
	"github.com/rs/zerolog"
)

type Controller struct {
	CampaignFiles CampaignFilesController
}

func NewController(CampaignFilesService service.CampaignFilesService, log zerolog.Logger) *Controller {
	return &Controller{
		CampaignFiles: NewCampaignFilesController(CampaignFilesService, log),
	}
}

